### Инсталляция бота на сервер VPS.

На примере стандартного ubuntu сервера на хостингах.

+ обновите репозитории, командой `sudo apt update`
+ установите pip, командой `sudo apt install python3-pip`
+ установите postgres, пригодится :) `sudo apt install postgresql`
+ установите заголовочные файлы (нужны для сборки psycopg2).  `sudo apt install libpq-dev`
+ создайте в домашней папке директорию для бота, допустим test_bot
+ скопируйте все файлы бота в папку test_bot
+ перейдите в командной строке в папку test_bot и выполните `sudo pip3 install -r requirements.txt`
+ дайте права на исполнение файлу **magic.py** командой `chmod 755 magic.py`
+ отредактируйте файл **magic.sh** заменив 'пользователь' на имя пользователя сервера
+ дайте права на исполнение файлу **magic.sh** командой `chmod 755 magic.sh`
+ отредактируйте файл **test_bot.service** заменив 'пользователь' на имя пользователя сервера
+ скопируйте его в systemd командой `sudo cp test_bot.service /etc/systemd/system/`
+ обновите список сервисов командой `sudo systemctl daemon-reload`
+ выполните все настройки **magic.ini** как описано в **config.md**
+ включите сервис бота: `sudo systemctl enable test_bot`
+ запустите его: `sudo systemctl start test_bot`

Все, бот стал одним из сервисов linux и работает 24/7/365.  
При перезагрузке сервера он запустится автоматически.  
Даже если у телеграм будет глобальный сбой, бот оживет, как только он закончится.

При обновлениях вашего кода, вы обновляете файлы в папке бота на сервере и отдаете команду в консоли:  
`sudo systemctl restart test_bot `  
Перезапуск может занимать до 1 минуты, если очередь сообщений велика, стандартно около 30 секунд.




